options(warn=-1)
library(ggplot2)
args = commandArgs(trailingOnly=TRUE)

summary<- as.data.frame(read.csv(args[1]))

ggplot(summary, aes(x=Sample, y = Trimmed )) +
  geom_bar(stat = "identity",  fill="#67a9cf") +
  theme(axis.text.x=element_text(angle=90, hjust=1, vjust = 0.5)) +
  ggtitle("Number of reads after trimming") +
  xlab("Sample")+
  ylab("Reads [#]")
ggsave(paste(args[2], "/trimming.png", sep=""))

ggplot(summary, aes(x=Sample, y = Mapped )) +
  geom_bar(stat = "identity",  fill="#67a9cf") +
  theme(axis.text.x=element_text(angle=90, hjust=1, vjust = 0.5)) +
  ggtitle("Number of reads mapped to reference") +
  xlab("Sample")+
  ylab("Reads [#]")
ggsave(paste(args[2], "/mapping.png", sep=""))

ggplot(summary, aes(x=Sample, y = Classified )) +
  geom_bar(stat = "identity",  fill="#67a9cf") +
  theme(axis.text.x=element_text(angle=90, hjust=1, vjust = 0.5)) +
  ggtitle("Precentage of reads classified by Kraken") +
  xlab("Sample")+
  ylab("Reads [%]")
ggsave(paste(args[2], "/kraken.png", sep=""))
